Last Comment Bug 738760 - Move nsContentUtils::GetContextAndScope into nsDocument.cpp
: Move nsContentUtils::GetContextAndScope into nsDocument.cpp
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 12:50 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2012-04-03 02:02 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (6.42 KB, patch)
2012-03-23 12:50 PDT, :Ms2ger (⌚ UTC+1/+2)
jonas: review+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2012-03-23 12:50:40 PDT
Created attachment 608830 [details] [diff] [review]
Patch v1

It's not like this code is so general anyone else would use it.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2012-03-23 14:48:46 PDT
Comment on attachment 608830 [details] [diff] [review]
Patch v1

I'll let Jonas decide whether he wants this in nsContentUtils or not.

Jonas - this is a 30 second review, just FYI.
Comment 2 Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-03-30 23:26:22 PDT
Comment on attachment 608830 [details] [diff] [review]
Patch v1

Review of attachment 608830 [details] [diff] [review]:
-----------------------------------------------------------------

r=me with that fixed

::: content/base/public/nsContentUtils.h
@@ -258,5 @@
> -   * @param aNewDocument The document to get aNewScope from.
> -   * @param aCx [out] Context gotten through one of the scopes, from the stack
> -   *                  or the safe context.
> -   * @param aNewScope [out] Scope gotten from aNewDocument.
> -   */

Move this comment to above the static function.
Comment 3 :Ms2ger (⌚ UTC+1/+2) 2012-04-03 02:02:13 PDT
https://hg.mozilla.org/mozilla-central/rev/c0d3b3b6e2fb

Note You need to log in before you can comment on or make changes to this bug.